Name: encfs
Version: 1.2.5
Release: alt0.M24.2

Packager: Denis Smirnov <mithraen@altlinux.ru>

Summary: Encrypted pass-thru filesystem for Linux
License: GPL
Group: System/Kernel and hardware
URL: http://arg0.net/encfs

Source0: %name-%version-1.tgz
Source1: %name-umount.encfs

BuildPreReq: gcc-c++ libssl-devel sed pkgconfig
BuildPreReq: libfuse-devel >= 2.2
BuildPreReq: librlog-devel >= 1.3.7

Requires: fuse >= 2.2
Requires: lib%name = %version-%release

%description
EncFS implements an encrypted filesystem in userspace using FUSE.  FUSE
provides a Linux kernel module which allows virtual filesystems to be written
in userspace.  EncFS encrypts all data and filenames in the filesystem and
passes access through to the underlying filesystem.  Similar to CFS except that
it does not use NFS.

%package -n lib%name
Summary: Shared library for encrypted pass-thru filesystem for Linux
Group: System/Libraries
Requires: librlog >= 1.3.7

%description -n lib%name
EncFS implements an encrypted filesystem in userspace using FUSE.  FUSE
provides a Linux kernel module which allows virtual filesystems to be written
in userspace.  EncFS encrypts all data and filenames in the filesystem and
passes access through to the underlying filesystem.  Similar to CFS except that
it does not use NFS.

This package contains shared library for %name.

%package -n lib%name-devel
Summary: Files for developing apps wich use lib%name library
Group: System/Libraries
Requires: lib%name = %version-%release

%description -n lib%name-devel
EncFS implements an encrypted filesystem in userspace using FUSE.  FUSE
provides a Linux kernel module which allows virtual filesystems to be written
in userspace.  EncFS encrypts all data and filenames in the filesystem and
passes access through to the underlying filesystem.  Similar to CFS except that
it does not use NFS.

The lib%name-devel package contains the include files needed to compile
programs that use the lib%name library.

%prep
%setup

%build
%configure --with-pic --disable-rpath
%make_build

%install
%make_install DESTDIR=%buildroot install

%__mkdir_p %buildroot%_docdir/%name-%version
%__cp AUTHORS %buildroot%_docdir/%name-%version
%__cp COPYING %buildroot%_docdir/%name-%version
%__cp ChangeLog %buildroot%_docdir/%name-%version
%__cp README %buildroot%_docdir/%name-%version

%__install -m755 %SOURCE1 %buildroot%_bindir/umount.encfs

%find_lang %name

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files -f %name.lang
%_bindir/*
%_man1dir/*
%_docdir/%name-%version

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_libdir/*.so

%changelog
* Sun Jan 29 2006 Alexey Borovskoy <alb@altlinux.ru> 1.2.5-alt0.M24.2
- Strict requires for librlog and libencfs.

* Mon Nov 21 2005 Alexey Borovskoy <alb@altlinux.ru> 1.2.5-alt0.M24.1
- New version: 1.2.5

* Sat Aug 27 2005 Alexey Borovskoy <alb@altlinux.ru> 1.2.4-alt0.M24.1
- New version: 1.2.4
- Change URL

* Mon Jul 04 2005 Alexey Borovskoy <alb@altlinux.ru> 1.2.2-alt0.M24.1
- New version: 1.2.2
- Add umount.encfs helper script

* Sat Apr 23 2005 Alexey Borovskoy <alb@altlinux.ru> 1.2.1-alt0.M24.1
- New version 1.2.1
- Remove patch
  + encfs.fusermount.patch

* Mon Feb 28 2005 Alexey Borovskoy <alb@altlinux.ru> 1.2.0-alt0.M24.1
- Backport to Master 2.4
- Spec cleanup

* Tue Feb 15 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2.0-alt2
- avfs-fuse renamed to fuse

* Fri Feb 11 2005 Denis Smirnov <mithraen@altlinux.ru> 1.2.0-alt1
- version update

* Thu Jan 20 2005 Denis Smirnov <mithraen@altlinux.ru> 1.1.11-alt1
- version update

* Mon Jan 03 2005 Denis Smirnov <mithraen@altlinux.ru> 1.1.9-alt5
- rebuild with new fuse

* Thu Dec 23 2004 Denis Smirnov <mithraen@altlinux.ru> 1.1.9-alt4
- rebuild with new fuse

* Tue Dec 07 2004 Denis Smirnov <mithraen@altlinux.ru> 1.1.9-alt3
- rebuild with new fuse

* Tue Nov 02 2004 Denis Smirnov <mithraen@altlinux.ru> 1.1.9-alt2
- requires fuse version

* Thu Oct 28 2004 Denis Smirnov <mithraen@altlinux.ru> 1.1.9-alt1
- first sisyphus build

